VARKON Version 1.15 1997-10-24

> ## updp_mbs - Procedure

> Update simple statement
> Description
> Updates a parameter in a statement defining a simple entity and reevaluates the statement or the active module.
> Syntax
> updp_mbs(id, parnum, parstr, mode)

> REF | id;
> INT | parnum;
> STRING | parstr*132;
> INT | mode;

> Principal parameters

> id | - Identity of entity whose deinition to update
> parnum | - Relative position of parameter to update, first = 1
> parstr | - New parameter as a string in MBS syntax

> Optional parameters

> mode | - Controls the amount of reevaluation, default = 0
> | 0 = Reevaluate the statement but if referenced, reevaluate entire module
> | 1 = Reevaluate the statement only
> | 2 = No reevaluation

> Examples
> If a statement originally was...
> lin_free(#5, on(#2), intersect(#1, #3));
> then a
> updp_mbs(#5, 2, "vec(10,10)");
> would change the statement into...
> lin_free(#5, on(#2), vec(10,10));
> Comments
> Use updpp_mbs() (two p:s) to update a part() statement.

VARKON Homepage | Index